org.apache.tomcat.util.bcel.classfile

## Class ArrayElementValue

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ElementValue
  - - org.apache.tomcat.util.bcel.classfile.ArrayElementValue

-     public class ArrayElementValue
      extends ElementValue

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue

      `ANNOTATION, ARRAY, CLASS, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementValue[]` | `getElementValuesArray()`
    `String` | `stringifyValue()`

    - ### Methods inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue

      `readElementValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### stringifyValue

          public String stringifyValue()

      Specified by:
        `stringifyValue` in class `ElementValue`

    - #### getElementValuesArray

          public ElementValue[] getElementValuesArray()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.